#if !defined(AFX_EDITTIMEZONE_H__825F5B9F_1D14_4398_B40B_D02F3FB01161__INCLUDED_)
#define AFX_EDITTIMEZONE_H__825F5B9F_1D14_4398_B40B_D02F3FB01161__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditTimeZone.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditTimeZone dialog

class CEditTimeZone : public CDialog
{
// Construction
public:
	CEditTimeZone(CWnd* pParent = NULL);   // standard constructor
	CEditTimeZone(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CEditTimeZone)
	enum { IDD = IDD_TIMEZONE_EDIT };
	CEdit	m_Cnt_TZDescription;
	CEdit	m_Cnt_TZName;
	CComboBox	m_TZList;
	CComboBox	m_AcctList;
	CString	m_TZDescription;
	CString	m_TZName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditTimeZone)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEditTimeZone)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeTzlist();
	afx_msg void OnEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	ITimeZonePtr	pTZ;  
	void LoadAccounts();
	void LoadTimeZones();
	void GetTimeZoneDetails();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITTIMEZONE_H__825F5B9F_1D14_4398_B40B_D02F3FB01161__INCLUDED_)
